;----------------------------------------
;+  Variable interrupt vector table      +
;----------------------------------------
        .section user_vector,romdata
.if UART==0
        .org     MON_INTB +(17*4)        ; use UART0
.endif
.if UART==1
        .org     MON_INTB +(19*4)        ; use UART1
.endif
.if UART==2
        .org     MON_INTB +(15*4)        ; use UART2
.endif
        .lword   Uartx_Interrupt         ; Set address of UART transmit interrupt
        .lword   Uartx_Interrupt         ; Set address of UART receive interrupt

;----------------------------------------
;+  Special pages table      +
;----------------------------------------
        .section vector1,romdata
        .org     0ffe00h                 ;for special pages
        .word    spj_255  & 0FFFFh
        .word    spj_254  & 0FFFFh
        .word    spj_253  & 0FFFFh
        .word    spj_252  & 0FFFFh
        .word    spj_251  & 0FFFFh
        .word    spj_250  & 0FFFFh
        .word    spj_249  & 0FFFFh
        .word    spj_248  & 0FFFFh
        .word    spj_247  & 0FFFFh
        .word    spj_246  & 0FFFFh
        .word    spj_245  & 0FFFFh
        .word    spj_244  & 0FFFFh
        .word    spj_243  & 0FFFFh
        .word    spj_242  & 0FFFFh
        .word    spj_241  & 0FFFFh
        .word    spj_240  & 0FFFFh
        .word    spj_239  & 0FFFFh
        .word    spj_238  & 0FFFFh
        .word    spj_237  & 0FFFFh
        .word    spj_236  & 0FFFFh
        .word    spj_235  & 0FFFFh
        .word    spj_234  & 0FFFFh
        .word    spj_233  & 0FFFFh
        .word    spj_232  & 0FFFFh
        .word    spj_231  & 0FFFFh
        .word    spj_230  & 0FFFFh
        .word    spj_229  & 0FFFFh
        .word    spj_228  & 0FFFFh
        .word    spj_227  & 0FFFFh
        .word    spj_226  & 0FFFFh
        .word    spj_225  & 0FFFFh
        .word    spj_224  & 0FFFFh
        .word    spj_223  & 0FFFFh
        .word    spj_222  & 0FFFFh
        .word    spj_221  & 0FFFFh
        .word    spj_220  & 0FFFFh
        .word    spj_219  & 0FFFFh
        .word    spj_218  & 0FFFFh
        .word    spj_217  & 0FFFFh
        .word    spj_216  & 0FFFFh
        .word    spj_215  & 0FFFFh
        .word    spj_214  & 0FFFFh
        .word    spj_213  & 0FFFFh
        .word    spj_212  & 0FFFFh
        .word    spj_211  & 0FFFFh
        .word    spj_210  & 0FFFFh
        .word    spj_209  & 0FFFFh
        .word    spj_208  & 0FFFFh
        .word    spj_207  & 0FFFFh
        .word    spj_206  & 0FFFFh
        .word    spj_205  & 0FFFFh
        .word    spj_204  & 0FFFFh
        .word    spj_203  & 0FFFFh
        .word    spj_202  & 0FFFFh
        .word    spj_201  & 0FFFFh
        .word    spj_200  & 0FFFFh
        .word    spj_199  & 0FFFFh
        .word    spj_198  & 0FFFFh
        .word    spj_197  & 0FFFFh
        .word    spj_196  & 0FFFFh
        .word    spj_195  & 0FFFFh
        .word    spj_194  & 0FFFFh
        .word    spj_193  & 0FFFFh
        .word    spj_192  & 0FFFFh
        .word    spj_191  & 0FFFFh
        .word    spj_190  & 0FFFFh
        .word    spj_189  & 0FFFFh
        .word    spj_188  & 0FFFFh
        .word    spj_187  & 0FFFFh
        .word    spj_186  & 0FFFFh
        .word    spj_185  & 0FFFFh
        .word    spj_184  & 0FFFFh
        .word    spj_183  & 0FFFFh
        .word    spj_182  & 0FFFFh
        .word    spj_181  & 0FFFFh
        .word    spj_180  & 0FFFFh
        .word    spj_179  & 0FFFFh
        .word    spj_178  & 0FFFFh
        .word    spj_177  & 0FFFFh
        .word    spj_176  & 0FFFFh
        .word    spj_175  & 0FFFFh
        .word    spj_174  & 0FFFFh
        .word    spj_173  & 0FFFFh
        .word    spj_172  & 0FFFFh
        .word    spj_171  & 0FFFFh
        .word    spj_170  & 0FFFFh
        .word    spj_169  & 0FFFFh
        .word    spj_168  & 0FFFFh
        .word    spj_167  & 0FFFFh
        .word    spj_166  & 0FFFFh
        .word    spj_165  & 0FFFFh
        .word    spj_164  & 0FFFFh
        .word    spj_163  & 0FFFFh
        .word    spj_162  & 0FFFFh
        .word    spj_161  & 0FFFFh
        .word    spj_160  & 0FFFFh
        .word    spj_159  & 0FFFFh
        .word    spj_158  & 0FFFFh
        .word    spj_157  & 0FFFFh
        .word    spj_156  & 0FFFFh
        .word    spj_155  & 0FFFFh
        .word    spj_154  & 0FFFFh
        .word    spj_153  & 0FFFFh
        .word    spj_152  & 0FFFFh
        .word    spj_151  & 0FFFFh
        .word    spj_150  & 0FFFFh
        .word    spj_149  & 0FFFFh
        .word    spj_148  & 0FFFFh
        .word    spj_147  & 0FFFFh
        .word    spj_146  & 0FFFFh
        .word    spj_145  & 0FFFFh
        .word    spj_144  & 0FFFFh
        .word    spj_143  & 0FFFFh
        .word    spj_142  & 0FFFFh
        .word    spj_141  & 0FFFFh
        .word    spj_140  & 0FFFFh
        .word    spj_139  & 0FFFFh
        .word    spj_138  & 0FFFFh
        .word    spj_137  & 0FFFFh
        .word    spj_136  & 0FFFFh
        .word    spj_135  & 0FFFFh
        .word    spj_134  & 0FFFFh
        .word    spj_133  & 0FFFFh
        .word    spj_132  & 0FFFFh
        .word    spj_131  & 0FFFFh
        .word    spj_130  & 0FFFFh
        .word    spj_129  & 0FFFFh
        .word    spj_128  & 0FFFFh
        .word    spj_127  & 0FFFFh
        .word    spj_126  & 0FFFFh
        .word    spj_125  & 0FFFFh
        .word    spj_124  & 0FFFFh
        .word    spj_123  & 0FFFFh
        .word    spj_122  & 0FFFFh
        .word    spj_121  & 0FFFFh
        .word    spj_120  & 0FFFFh
        .word    spj_119  & 0FFFFh
        .word    spj_118  & 0FFFFh
        .word    spj_117  & 0FFFFh
        .word    spj_116  & 0FFFFh
        .word    spj_115  & 0FFFFh
        .word    spj_114  & 0FFFFh
        .word    spj_113  & 0FFFFh
        .word    spj_112  & 0FFFFh
        .word    spj_111  & 0FFFFh
        .word    spj_110  & 0FFFFh
        .word    spj_109  & 0FFFFh
        .word    spj_108  & 0FFFFh
        .word    spj_107  & 0FFFFh
        .word    spj_106  & 0FFFFh
        .word    spj_105  & 0FFFFh
        .word    spj_104  & 0FFFFh
        .word    spj_103  & 0FFFFh
        .word    spj_102  & 0FFFFh
        .word    spj_101  & 0FFFFh
        .word    spj_100  & 0FFFFh
        .word    spj_99   & 0FFFFh
        .word    spj_98   & 0FFFFh
        .word    spj_97   & 0FFFFh
        .word    spj_96   & 0FFFFh
        .word    spj_95   & 0FFFFh
        .word    spj_94   & 0FFFFh
        .word    spj_93   & 0FFFFh
        .word    spj_92   & 0FFFFh
        .word    spj_91   & 0FFFFh
        .word    spj_90   & 0FFFFh
        .word    spj_89   & 0FFFFh
        .word    spj_88   & 0FFFFh
        .word    spj_87   & 0FFFFh
        .word    spj_86   & 0FFFFh
        .word    spj_85   & 0FFFFh
        .word    spj_84   & 0FFFFh
        .word    spj_83   & 0FFFFh
        .word    spj_82   & 0FFFFh
        .word    spj_81   & 0FFFFh
        .word    spj_80   & 0FFFFh
        .word    spj_79   & 0FFFFh
        .word    spj_78   & 0FFFFh
        .word    spj_77   & 0FFFFh
        .word    spj_76   & 0FFFFh
        .word    spj_75   & 0FFFFh
        .word    spj_74   & 0FFFFh
        .word    spj_73   & 0FFFFh
        .word    spj_72   & 0FFFFh
        .word    spj_71   & 0FFFFh
        .word    spj_70   & 0FFFFh
        .word    spj_69   & 0FFFFh
        .word    spj_68   & 0FFFFh
        .word    spj_67   & 0FFFFh
        .word    spj_66   & 0FFFFh
        .word    spj_65   & 0FFFFh
        .word    spj_64   & 0FFFFh
        .word    spj_63   & 0FFFFh
        .word    spj_62   & 0FFFFh
        .word    spj_61   & 0FFFFh
        .word    spj_60   & 0FFFFh
        .word    spj_59   & 0FFFFh
        .word    spj_58   & 0FFFFh
        .word    spj_57   & 0FFFFh
        .word    spj_56   & 0FFFFh
        .word    spj_55   & 0FFFFh
        .word    spj_54   & 0FFFFh
        .word    spj_53   & 0FFFFh
        .word    spj_52   & 0FFFFh
        .word    spj_51   & 0FFFFh
        .word    spj_50   & 0FFFFh
        .word    spj_49   & 0FFFFh
        .word    spj_48   & 0FFFFh
        .word    spj_47   & 0FFFFh
        .word    spj_46   & 0FFFFh
        .word    spj_45   & 0FFFFh
        .word    spj_44   & 0FFFFh
        .word    spj_43   & 0FFFFh
        .word    spj_42   & 0FFFFh
        .word    spj_41   & 0FFFFh
        .word    spj_40   & 0FFFFh
        .word    spj_39   & 0FFFFh
        .word    spj_38   & 0FFFFh
        .word    spj_37   & 0FFFFh
        .word    spj_36   & 0FFFFh
        .word    spj_35   & 0FFFFh
        .word    spj_34   & 0FFFFh
        .word    spj_33   & 0FFFFh
        .word    spj_32   & 0FFFFh
        .word    spj_31   & 0FFFFh
        .word    spj_30   & 0FFFFh
        .word    spj_29   & 0FFFFh
        .word    spj_28   & 0FFFFh
        .word    spj_27   & 0FFFFh
        .word    spj_26   & 0FFFFh
        .word    spj_25   & 0FFFFh
        .word    spj_24   & 0FFFFh
        .word    spj_23   & 0FFFFh
        .word    spj_22   & 0FFFFh
        .word    spj_21   & 0FFFFh
        .word    spj_20   & 0FFFFh
        .word    spj_19   & 0FFFFh
        .word    spj_18   & 0FFFFh

;----------------------------------------
;+  Fixed Interrupt vector table        +
;----------------------------------------
        .section vector2,romdata
        .org     0FFFDCH
        .lword   und_int
        .lword   into_int
        .lword   break_int
        .lword   address_match           ; Set Address match program
        .lword   step_int                ; Set single step program
        .lword   watch_dog
        .lword   dummy
        .lword   nmi
        .lword   reset

        .section prog2,code
        .org     0FE000H

;----------------------------------------
;+   Special page jump                +
;----------------------------------------

spj:
spj_255:
  LDE.W    usr_spj+(2*0)  ,tmp_spj
  JMP      spj_end
spj_254:
  LDE.W    usr_spj+(2*1)  ,tmp_spj
  JMP      spj_end
spj_253:
  LDE.W    usr_spj+(2*2)  ,tmp_spj
  JMP      spj_end
spj_252:
  LDE.W    usr_spj+(2*3)  ,tmp_spj
  JMP      spj_end
spj_251:
  LDE.W    usr_spj+(2*4)  ,tmp_spj
  JMP      spj_end
spj_250:
  LDE.W    usr_spj+(2*5)  ,tmp_spj
  JMP      spj_end
spj_249:
  LDE.W    usr_spj+(2*6)  ,tmp_spj
  JMP      spj_end
spj_248:
  LDE.W    usr_spj+(2*7)  ,tmp_spj
  JMP      spj_end
spj_247:
  LDE.W    usr_spj+(2*8)  ,tmp_spj
  JMP      spj_end
spj_246:
  LDE.W    usr_spj+(2*9)  ,tmp_spj
  JMP      spj_end
spj_245:
  LDE.W    usr_spj+(2*10) ,tmp_spj
  JMP      spj_end
spj_244:
  LDE.W    usr_spj+(2*11) ,tmp_spj
  JMP      spj_end
spj_243:
  LDE.W    usr_spj+(2*12) ,tmp_spj
  JMP      spj_end
spj_242:
  LDE.W    usr_spj+(2*13) ,tmp_spj
  JMP      spj_end
spj_241:
  LDE.W    usr_spj+(2*14) ,tmp_spj
  JMP      spj_end
spj_240:
  LDE.W    usr_spj+(2*15) ,tmp_spj
  JMP      spj_end
spj_239:
  LDE.W    usr_spj+(2*16) ,tmp_spj
  JMP      spj_end
spj_238:
  LDE.W    usr_spj+(2*17) ,tmp_spj
  JMP      spj_end
spj_237:
  LDE.W    usr_spj+(2*18) ,tmp_spj
  JMP      spj_end
spj_236:
  LDE.W    usr_spj+(2*19) ,tmp_spj
  JMP      spj_end
spj_235:
  LDE.W    usr_spj+(2*20) ,tmp_spj
  JMP      spj_end
spj_234:
  LDE.W    usr_spj+(2*21) ,tmp_spj
  JMP      spj_end
spj_233:
  LDE.W    usr_spj+(2*22) ,tmp_spj
  JMP      spj_end
spj_232:
  LDE.W    usr_spj+(2*23) ,tmp_spj
  JMP      spj_end
spj_231:
  LDE.W    usr_spj+(2*24) ,tmp_spj
  JMP      spj_end
spj_230:
  LDE.W    usr_spj+(2*25) ,tmp_spj
  JMP      spj_end
spj_229:
  LDE.W    usr_spj+(2*26) ,tmp_spj
  JMP      spj_end
spj_228:
  LDE.W    usr_spj+(2*27) ,tmp_spj
  JMP      spj_end
spj_227:
  LDE.W    usr_spj+(2*28) ,tmp_spj
  JMP      spj_end
spj_226:
  LDE.W    usr_spj+(2*29) ,tmp_spj
  JMP      spj_end
spj_225:
  LDE.W    usr_spj+(2*30) ,tmp_spj
  JMP      spj_end
spj_224:
  LDE.W    usr_spj+(2*31) ,tmp_spj
  JMP      spj_end
spj_223:
  LDE.W    usr_spj+(2*32) ,tmp_spj
  JMP      spj_end
spj_222:
  LDE.W    usr_spj+(2*33) ,tmp_spj
  JMP      spj_end
spj_221:
  LDE.W    usr_spj+(2*34) ,tmp_spj
  JMP      spj_end
spj_220:
  LDE.W    usr_spj+(2*35) ,tmp_spj
  JMP      spj_end
spj_219:
  LDE.W    usr_spj+(2*36) ,tmp_spj
  JMP      spj_end
spj_218:
  LDE.W    usr_spj+(2*37) ,tmp_spj
  JMP      spj_end
spj_217:
  LDE.W    usr_spj+(2*38) ,tmp_spj
  JMP      spj_end
spj_216:
  LDE.W    usr_spj+(2*39) ,tmp_spj
  JMP      spj_end
spj_215:
  LDE.W    usr_spj+(2*40) ,tmp_spj
  JMP      spj_end
spj_214:
  LDE.W    usr_spj+(2*41) ,tmp_spj
  JMP      spj_end
spj_213:
  LDE.W    usr_spj+(2*42) ,tmp_spj
  JMP      spj_end
spj_212:
  LDE.W    usr_spj+(2*43) ,tmp_spj
  JMP      spj_end
spj_211:
  LDE.W    usr_spj+(2*44) ,tmp_spj
  JMP      spj_end
spj_210:
  LDE.W    usr_spj+(2*45) ,tmp_spj
  JMP      spj_end
spj_209:
  LDE.W    usr_spj+(2*46) ,tmp_spj
  JMP      spj_end
spj_208:
  LDE.W    usr_spj+(2*47) ,tmp_spj
  JMP      spj_end
spj_207:
  LDE.W    usr_spj+(2*48) ,tmp_spj
  JMP      spj_end
spj_206:
  LDE.W    usr_spj+(2*49) ,tmp_spj
  JMP      spj_end
spj_205:
  LDE.W    usr_spj+(2*50) ,tmp_spj
  JMP      spj_end
spj_204:
  LDE.W    usr_spj+(2*51) ,tmp_spj
  JMP      spj_end
spj_203:
  LDE.W    usr_spj+(2*52) ,tmp_spj
  JMP      spj_end
spj_202:
  LDE.W    usr_spj+(2*53) ,tmp_spj
  JMP      spj_end
spj_201:
  LDE.W    usr_spj+(2*54) ,tmp_spj
  JMP      spj_end
spj_200:
  LDE.W    usr_spj+(2*55) ,tmp_spj
  JMP      spj_end
spj_199:
  LDE.W    usr_spj+(2*56) ,tmp_spj
  JMP      spj_end
spj_198:
  LDE.W    usr_spj+(2*57) ,tmp_spj
  JMP      spj_end
spj_197:
  LDE.W    usr_spj+(2*58) ,tmp_spj
  JMP      spj_end
spj_196:
  LDE.W    usr_spj+(2*59) ,tmp_spj
  JMP      spj_end
spj_195:
  LDE.W    usr_spj+(2*60) ,tmp_spj
  JMP      spj_end
spj_194:
  LDE.W    usr_spj+(2*61) ,tmp_spj
  JMP      spj_end
spj_193:
  LDE.W    usr_spj+(2*62) ,tmp_spj
  JMP      spj_end
spj_192:
  LDE.W    usr_spj+(2*63) ,tmp_spj
  JMP      spj_end
spj_191:
  LDE.W    usr_spj+(2*64) ,tmp_spj
  JMP      spj_end
spj_190:
  LDE.W    usr_spj+(2*65) ,tmp_spj
  JMP      spj_end
spj_189:
  LDE.W    usr_spj+(2*66) ,tmp_spj
  JMP      spj_end
spj_188:
  LDE.W    usr_spj+(2*67) ,tmp_spj
  JMP      spj_end
spj_187:
  LDE.W    usr_spj+(2*68) ,tmp_spj
  JMP      spj_end
spj_186:
  LDE.W    usr_spj+(2*69) ,tmp_spj
  JMP      spj_end
spj_185:
  LDE.W    usr_spj+(2*70) ,tmp_spj
  JMP      spj_end
spj_184:
  LDE.W    usr_spj+(2*71) ,tmp_spj
  JMP      spj_end
spj_183:
  LDE.W    usr_spj+(2*72) ,tmp_spj
  JMP      spj_end
spj_182:
  LDE.W    usr_spj+(2*73) ,tmp_spj
  JMP      spj_end
spj_181:
  LDE.W    usr_spj+(2*74) ,tmp_spj
  JMP      spj_end
spj_180:
  LDE.W    usr_spj+(2*75) ,tmp_spj
  JMP      spj_end
spj_179:
  LDE.W    usr_spj+(2*76) ,tmp_spj
  JMP      spj_end
spj_178:
  LDE.W    usr_spj+(2*77) ,tmp_spj
  JMP      spj_end
spj_177:
  LDE.W    usr_spj+(2*78) ,tmp_spj
  JMP      spj_end
spj_176:
  LDE.W    usr_spj+(2*79) ,tmp_spj
  JMP      spj_end
spj_175:
  LDE.W    usr_spj+(2*80) ,tmp_spj
  JMP      spj_end
spj_174:
  LDE.W    usr_spj+(2*81) ,tmp_spj
  JMP      spj_end
spj_173:
  LDE.W    usr_spj+(2*82) ,tmp_spj
  JMP      spj_end
spj_172:
  LDE.W    usr_spj+(2*83) ,tmp_spj
  JMP      spj_end
spj_171:
  LDE.W    usr_spj+(2*84) ,tmp_spj
  JMP      spj_end
spj_170:
  LDE.W    usr_spj+(2*85) ,tmp_spj
  JMP      spj_end
spj_169:
  LDE.W    usr_spj+(2*86) ,tmp_spj
  JMP      spj_end
spj_168:
  LDE.W    usr_spj+(2*87) ,tmp_spj
  JMP      spj_end
spj_167:
  LDE.W    usr_spj+(2*88) ,tmp_spj
  JMP      spj_end
spj_166:
  LDE.W    usr_spj+(2*89) ,tmp_spj
  JMP      spj_end
spj_165:
  LDE.W    usr_spj+(2*90) ,tmp_spj
  JMP      spj_end
spj_164:
  LDE.W    usr_spj+(2*91) ,tmp_spj
  JMP      spj_end
spj_163:
  LDE.W    usr_spj+(2*92) ,tmp_spj
  JMP      spj_end
spj_162:
  LDE.W    usr_spj+(2*93) ,tmp_spj
  JMP      spj_end
spj_161:
  LDE.W    usr_spj+(2*94) ,tmp_spj
  JMP      spj_end
spj_160:
  LDE.W    usr_spj+(2*95) ,tmp_spj
  JMP      spj_end
spj_159:
  LDE.W    usr_spj+(2*96) ,tmp_spj
  JMP      spj_end
spj_158:
  LDE.W    usr_spj+(2*97) ,tmp_spj
  JMP      spj_end
spj_157:
  LDE.W    usr_spj+(2*98) ,tmp_spj
  JMP      spj_end
spj_156:
  LDE.W    usr_spj+(2*99) ,tmp_spj
  JMP      spj_end
spj_155:
  LDE.W    usr_spj+(2*100),tmp_spj
  JMP      spj_end
spj_154:
  LDE.W    usr_spj+(2*101),tmp_spj
  JMP      spj_end
spj_153:
  LDE.W    usr_spj+(2*102),tmp_spj
  JMP      spj_end
spj_152:
  LDE.W    usr_spj+(2*103),tmp_spj
  JMP      spj_end
spj_151:
  LDE.W    usr_spj+(2*104),tmp_spj
  JMP      spj_end
spj_150:
  LDE.W    usr_spj+(2*105),tmp_spj
  JMP      spj_end
spj_149:
  LDE.W    usr_spj+(2*106),tmp_spj
  JMP      spj_end
spj_148:
  LDE.W    usr_spj+(2*107),tmp_spj
  JMP      spj_end
spj_147:
  LDE.W    usr_spj+(2*108),tmp_spj
  JMP      spj_end
spj_146:
  LDE.W    usr_spj+(2*109),tmp_spj
  JMP      spj_end
spj_145:
  LDE.W    usr_spj+(2*110),tmp_spj
  JMP      spj_end
spj_144:
  LDE.W    usr_spj+(2*111),tmp_spj
  JMP      spj_end
spj_143:
  LDE.W    usr_spj+(2*112),tmp_spj
  JMP      spj_end
spj_142:
  LDE.W    usr_spj+(2*113),tmp_spj
  JMP      spj_end
spj_141:
  LDE.W    usr_spj+(2*114),tmp_spj
  JMP      spj_end
spj_140:
  LDE.W    usr_spj+(2*115),tmp_spj
  JMP      spj_end
spj_139:
  LDE.W    usr_spj+(2*116),tmp_spj
  JMP      spj_end
spj_138:
  LDE.W    usr_spj+(2*117),tmp_spj
  JMP      spj_end
spj_137:
  LDE.W    usr_spj+(2*118),tmp_spj
  JMP      spj_end
spj_136:
  LDE.W    usr_spj+(2*119),tmp_spj
  JMP      spj_end
spj_135:
  LDE.W    usr_spj+(2*120),tmp_spj
  JMP      spj_end
spj_134:
  LDE.W    usr_spj+(2*121),tmp_spj
  JMP      spj_end
spj_133:
  LDE.W    usr_spj+(2*122),tmp_spj
  JMP      spj_end
spj_132:
  LDE.W    usr_spj+(2*123),tmp_spj
  JMP      spj_end
spj_131:
  LDE.W    usr_spj+(2*124),tmp_spj
  JMP      spj_end
spj_130:
  LDE.W    usr_spj+(2*125),tmp_spj
  JMP      spj_end
spj_129:
  LDE.W    usr_spj+(2*126),tmp_spj
  JMP      spj_end
spj_128:
  LDE.W    usr_spj+(2*127),tmp_spj
  JMP      spj_end
spj_127:
  LDE.W    usr_spj+(2*128),tmp_spj
  JMP      spj_end
spj_126:
  LDE.W    usr_spj+(2*129),tmp_spj
  JMP      spj_end
spj_125:
  LDE.W    usr_spj+(2*130),tmp_spj
  JMP      spj_end
spj_124:
  LDE.W    usr_spj+(2*131),tmp_spj
  JMP      spj_end
spj_123:
  LDE.W    usr_spj+(2*132),tmp_spj
  JMP      spj_end
spj_122:
  LDE.W    usr_spj+(2*133),tmp_spj
  JMP      spj_end
spj_121:
  LDE.W    usr_spj+(2*134),tmp_spj
  JMP      spj_end
spj_120:
  LDE.W    usr_spj+(2*135),tmp_spj
  JMP      spj_end
spj_119:
  LDE.W    usr_spj+(2*136),tmp_spj
  JMP      spj_end
spj_118:
  LDE.W    usr_spj+(2*137),tmp_spj
  JMP      spj_end
spj_117:
  LDE.W    usr_spj+(2*138),tmp_spj
  JMP      spj_end
spj_116:
  LDE.W    usr_spj+(2*139),tmp_spj
  JMP      spj_end
spj_115:
  LDE.W    usr_spj+(2*140),tmp_spj
  JMP      spj_end
spj_114:
  LDE.W    usr_spj+(2*141),tmp_spj
  JMP      spj_end
spj_113:
  LDE.W    usr_spj+(2*142),tmp_spj
  JMP      spj_end
spj_112:
  LDE.W    usr_spj+(2*143),tmp_spj
  JMP      spj_end
spj_111:
  LDE.W    usr_spj+(2*144),tmp_spj
  JMP      spj_end
spj_110:
  LDE.W    usr_spj+(2*145),tmp_spj
  JMP      spj_end
spj_109:
  LDE.W    usr_spj+(2*146),tmp_spj
  JMP      spj_end
spj_108:
  LDE.W    usr_spj+(2*147),tmp_spj
  JMP      spj_end
spj_107:
  LDE.W    usr_spj+(2*148),tmp_spj
  JMP      spj_end
spj_106:
  LDE.W    usr_spj+(2*149),tmp_spj
  JMP      spj_end
spj_105:
  LDE.W    usr_spj+(2*150),tmp_spj
  JMP      spj_end
spj_104:
  LDE.W    usr_spj+(2*151),tmp_spj
  JMP      spj_end
spj_103:
  LDE.W    usr_spj+(2*152),tmp_spj
  JMP      spj_end
spj_102:
  LDE.W    usr_spj+(2*153),tmp_spj
  JMP      spj_end
spj_101:
  LDE.W    usr_spj+(2*154),tmp_spj
  JMP      spj_end
spj_100:
  LDE.W    usr_spj+(2*155),tmp_spj
  JMP      spj_end
spj_99:
  LDE.W    usr_spj+(2*156),tmp_spj
  JMP      spj_end
spj_98:
  LDE.W    usr_spj+(2*157),tmp_spj
  JMP      spj_end
spj_97:
  LDE.W    usr_spj+(2*158),tmp_spj
  JMP      spj_end
spj_96:
  LDE.W    usr_spj+(2*159),tmp_spj
  JMP      spj_end
spj_95:
  LDE.W    usr_spj+(2*160),tmp_spj
  JMP      spj_end
spj_94:
  LDE.W    usr_spj+(2*161),tmp_spj
  JMP      spj_end
spj_93:
  LDE.W    usr_spj+(2*162),tmp_spj
  JMP      spj_end
spj_92:
  LDE.W    usr_spj+(2*163),tmp_spj
  JMP      spj_end
spj_91:
  LDE.W    usr_spj+(2*164),tmp_spj
  JMP      spj_end
spj_90:
  LDE.W    usr_spj+(2*165),tmp_spj
  JMP      spj_end
spj_89:
  LDE.W    usr_spj+(2*166),tmp_spj
  JMP      spj_end
spj_88:
  LDE.W    usr_spj+(2*167),tmp_spj
  JMP      spj_end
spj_87:
  LDE.W    usr_spj+(2*168),tmp_spj
  JMP      spj_end
spj_86:
  LDE.W    usr_spj+(2*169),tmp_spj
  JMP      spj_end
spj_85:
  LDE.W    usr_spj+(2*170),tmp_spj
  JMP      spj_end
spj_84:
  LDE.W    usr_spj+(2*171),tmp_spj
  JMP      spj_end
spj_83:
  LDE.W    usr_spj+(2*172),tmp_spj
  JMP      spj_end
spj_82:
  LDE.W    usr_spj+(2*173),tmp_spj
  JMP      spj_end
spj_81:
  LDE.W    usr_spj+(2*174),tmp_spj
  JMP      spj_end
spj_80:
  LDE.W    usr_spj+(2*175),tmp_spj
  JMP      spj_end
spj_79:
  LDE.W    usr_spj+(2*176),tmp_spj
  JMP      spj_end
spj_78:
  LDE.W    usr_spj+(2*177),tmp_spj
  JMP      spj_end
spj_77:
  LDE.W    usr_spj+(2*178),tmp_spj
  JMP      spj_end
spj_76:
  LDE.W    usr_spj+(2*179),tmp_spj
  JMP      spj_end
spj_75:
  LDE.W    usr_spj+(2*180),tmp_spj
  JMP      spj_end
spj_74:
  LDE.W    usr_spj+(2*181),tmp_spj
  JMP      spj_end
spj_73:
  LDE.W    usr_spj+(2*182),tmp_spj
  JMP      spj_end
spj_72:
  LDE.W    usr_spj+(2*183),tmp_spj
  JMP      spj_end
spj_71:
  LDE.W    usr_spj+(2*184),tmp_spj
  JMP      spj_end
spj_70:
  LDE.W    usr_spj+(2*185),tmp_spj
  JMP      spj_end
spj_69:
  LDE.W    usr_spj+(2*186),tmp_spj
  JMP      spj_end
spj_68:
  LDE.W    usr_spj+(2*187),tmp_spj
  JMP      spj_end
spj_67:
  LDE.W    usr_spj+(2*188),tmp_spj
  JMP      spj_end
spj_66:
  LDE.W    usr_spj+(2*189),tmp_spj
  JMP      spj_end
spj_65:
  LDE.W    usr_spj+(2*190),tmp_spj
  JMP      spj_end
spj_64:
  LDE.W    usr_spj+(2*191),tmp_spj
  JMP      spj_end
spj_63:
  LDE.W    usr_spj+(2*192),tmp_spj
  JMP      spj_end
spj_62:
  LDE.W    usr_spj+(2*193),tmp_spj
  JMP      spj_end
spj_61:
  LDE.W    usr_spj+(2*194),tmp_spj
  JMP      spj_end
spj_60:
  LDE.W    usr_spj+(2*195),tmp_spj
  JMP      spj_end
spj_59:
  LDE.W    usr_spj+(2*196),tmp_spj
  JMP      spj_end
spj_58:
  LDE.W    usr_spj+(2*197),tmp_spj
  JMP      spj_end
spj_57:
  LDE.W    usr_spj+(2*198),tmp_spj
  JMP      spj_end
spj_56:
  LDE.W    usr_spj+(2*199),tmp_spj
  JMP      spj_end
spj_55:
  LDE.W    usr_spj+(2*200),tmp_spj
  JMP      spj_end
spj_54:
  LDE.W    usr_spj+(2*201),tmp_spj
  JMP      spj_end
spj_53:
  LDE.W    usr_spj+(2*202),tmp_spj
  JMP      spj_end
spj_52:
  LDE.W    usr_spj+(2*203),tmp_spj
  JMP      spj_end
spj_51:
  LDE.W    usr_spj+(2*204),tmp_spj
  JMP      spj_end
spj_50:
  LDE.W    usr_spj+(2*205),tmp_spj
  JMP      spj_end
spj_49:
  LDE.W    usr_spj+(2*206),tmp_spj
  JMP      spj_end
spj_48:
  LDE.W    usr_spj+(2*207),tmp_spj
  JMP      spj_end
spj_47:
  LDE.W    usr_spj+(2*208),tmp_spj
  JMP      spj_end
spj_46:
  LDE.W    usr_spj+(2*209),tmp_spj
  JMP      spj_end
spj_45:
  LDE.W    usr_spj+(2*210),tmp_spj
  JMP      spj_end
spj_44:
  LDE.W    usr_spj+(2*211),tmp_spj
  JMP      spj_end
spj_43:
  LDE.W    usr_spj+(2*212),tmp_spj
  JMP      spj_end
spj_42:
  LDE.W    usr_spj+(2*213),tmp_spj
  JMP      spj_end
spj_41:
  LDE.W    usr_spj+(2*214),tmp_spj
  JMP      spj_end
spj_40:
  LDE.W    usr_spj+(2*215),tmp_spj
  JMP      spj_end
spj_39:
  LDE.W    usr_spj+(2*216),tmp_spj
  JMP      spj_end
spj_38:
  LDE.W    usr_spj+(2*217),tmp_spj
  JMP      spj_end
spj_37:
  LDE.W    usr_spj+(2*218),tmp_spj
  JMP      spj_end
spj_36:
  LDE.W    usr_spj+(2*219),tmp_spj
  JMP      spj_end
spj_35:
  LDE.W    usr_spj+(2*220),tmp_spj
  JMP      spj_end
spj_34:
  LDE.W    usr_spj+(2*221),tmp_spj
  JMP      spj_end
spj_33:
  LDE.W    usr_spj+(2*222),tmp_spj
  JMP      spj_end
spj_32:
  LDE.W    usr_spj+(2*223),tmp_spj
  JMP      spj_end
spj_31:
  LDE.W    usr_spj+(2*224),tmp_spj
  JMP      spj_end
spj_30:
  LDE.W    usr_spj+(2*225),tmp_spj
  JMP      spj_end
spj_29:
  LDE.W    usr_spj+(2*226),tmp_spj
  JMP      spj_end
spj_28:
  LDE.W    usr_spj+(2*227),tmp_spj
  JMP      spj_end
spj_27:
  LDE.W    usr_spj+(2*228),tmp_spj
  JMP      spj_end
spj_26:
  LDE.W    usr_spj+(2*229),tmp_spj
  JMP      spj_end
spj_25:
  LDE.W    usr_spj+(2*230),tmp_spj
  JMP      spj_end
spj_24:
  LDE.W    usr_spj+(2*231),tmp_spj
  JMP      spj_end
spj_23:
  LDE.W    usr_spj+(2*232),tmp_spj
  JMP      spj_end
spj_22:
  LDE.W    usr_spj+(2*233),tmp_spj
  JMP      spj_end
spj_21:
  LDE.W    usr_spj+(2*234),tmp_spj
  JMP      spj_end
spj_20:
  LDE.W    usr_spj+(2*235),tmp_spj
  JMP      spj_end
spj_19:
  LDE.W    usr_spj+(2*236),tmp_spj
  JMP      spj_end
spj_18:
  LDE.W    usr_spj+(2*237),tmp_spj
spj_end:
  MOV.W    #0FH           ,tmp_spj+2
  JMPI.A   tmp_spj

user_resource:
;----------------------------------------
;+  Undefined instruction interrupt     +
;----------------------------------------

und_int:
  LDE.W    usr_vector+2   ,tmp_spj+2
  LDE.W    usr_vector     ,tmp_spj
  JMPI.A   tmp_spj

;----------------------------------------
;+  INTO instruction interrupt           +
;----------------------------------------

into_int:
  LDE.W    usr_vector+6   ,tmp_spj+2
  LDE.W    usr_vector+4   ,tmp_spj
  JMPI.A   tmp_spj

;----------------------------------------
;+  break instruction interrupt       +
;----------------------------------------

break_int:
  LDE.W    usr_vector+10  ,tmp_spj+2
  LDE.W    usr_vector+8   ,tmp_spj
  JMPI.A   tmp_spj

;----------------------------------------
;+  watch dog timer interrupt         +
;----------------------------------------

watch_dog:
  LDE.W    usr_vector+22  ,tmp_spj+2
  LDE.W    usr_vector+20  ,tmp_spj
  JMPI.A   tmp_spj

;----------------------------------------
;+  nmi interrupt                  +
;----------------------------------------

nmi:
  LDE.W    usr_vector+30  ,tmp_spj+2
  LDE.W    usr_vector+28  ,tmp_spj
  JMPI.A   tmp_spj
